iCAx开思工具箱

标题: 请问caa中在空间创建点,直线,面以及圆弧的方法 [打印本页]

作者: fogcity_2001    时间: 2004-9-1 20:41
标题: 请问caa中在空间创建点,直线,面以及圆弧的方法
各位大虾,请问caa中在空间创建点,直线,面以及圆弧的方法,最好是generative shape design中建点,线,面的方法的API
作者: vontony    时间: 2004-9-3 08:12
Object Explorer  Object Hierarchy  Previous  Next  Indexes   
  
--------------------------------------------------------------------------------
  
HybridShapeFactory (Object)
IUnknown
  |
  +---IDispatch
    |
    +---CATBaseUnknown
      |
      +---CATBaseDispatch
        |
        +---AnyObject
          |
          +---Factory
            |
            +---HybridShapeFactory
   
  
--------------------------------------------------------------------------------
  
Creates all kinds of HybridShape objects that may be needed in wireframe and surface design.
  
--------------------------------------------------------------------------------
  
Method Index
AddNewSpine  
Creates a new spine within the current body.  
AddNewAxisLine  
Creates a new AxisLine within the current body.  
AddNewLawDistProj  
Creates a new law within the current body.  
AddNewBlend  
Creates a new blend surface within the current body.  
AddNewConic  
Creates a new conic within the current body.  
AddNewHelix  
Creates a new Helix within the current body.  
AddNewCombine  
Creates a new Combine within the current body.  
AddNewExtremum  
Creates a new Extremum within the current body.  
AddNewExtremumPolar  
Creates a new Extremum Polar within the current body.  
AddNewCircle2PointsRad  
Creates a new Circle passing through 2 points with a radius within the current body.  
AddNewFillet  
AddNewFilletBiTangent  
Creates a new a sphere bitangent fillet between two skins.  
AddNewFilletTriTangent  
Creates a new a tritangent fillet between three skins.  
AddNewCircle3Points  
Creates a new circle passing through 3 points within the current body.  
AddNewCircleBitangentPoint  
Creates a new circle tangent to 2 curves and passing through one point within the current body.  
AddNewCircleBitangentRadius  
Creates a new circle tangent to 2 curves and with a radius within the current body.  
AddNewCircleCtrPtWithAngles  
Creates a new circle defined by its center, a passing point and angles within the current body.  
AddNewCircleCtrPt  
Creates a new whole circle defined by its center, a passing point within the current body.  
AddNewCircleCtrRadWithAngles  
Creates a new circle defined by its center, a radius and angles within the current body.  
AddNewCircleCtrRad  
Creates a new whole circle defined by its center and a radius within the current body.  
AddNewCircleTritangent  
Creates a new tritangent circle within the current body.  
AddNewDevelop  
Creates a new Develop within the current body.  
AddNewUnfold  
Creates a new Unfold within the current body.  
AddNewSweepCircle  
Creates a new SweepCircle within the current body.  
AddNewSweepExplicit  
Creates a new SweepExplicit within the current body.  
AddNewSweepLine  
Creates a new SweepLine within the current body.  
AddNewPositionTransfo  
Creates a new PositionTransfo within the current body.  
AddNewLoft  
Creates a new Loft within the current body.  
AddNewJoin  
Creates a new Join within the current body.  
AddNewExtract  
Creates a new Extract within the current body.  
AddNewInverse  
Creates a new Inverse within the current body.  
AddNewNear  
Creates a new Near within the current body.  
AddNewConnect  
Creates a new Connect within the current body.  
AddNewCurvePar  
Creates a new CurvePar within the current body.  
AddNewCurveSmooth  
Creates a new CurveSmooth within the current body.  
AddNewTranslate  
Creates a new Translate within the current body.  
AddNewEmptyTranslate  
Creates a new empty Translate within the current body.  
AddNewAffinity  
Creates a new Affinity within the current body.  
AddNewHybridSplit  
Creates a new Split within the current body.  
AddNewHybridTrim  
Creates a new Trim within the current body by cutting and joining two elements.  
AddNewProject  
Creates a new Project within the current body.  
AddNewCorner  
Creates a new Corner within the current body.  
AddNew3DCorner  
Creates a new 3D Corner within the current body.  
AddNewExtrapolUntil  
Creates a new Extrapol (until an element) within the current body.  
AddNewExtrapolLength  
Creates a new Extrapol (specified by length) within the current body.  
AddNewRotate  
Creates a new Rotate within the current body.  
AddNewIntersection  
Creates a new Intersection within the current body.  
AddNewSymmetry  
Creates a new Symmetry within the current body.  
AddNewAxisToAxis  
Creates a new axis to axis transformation within the current body.  
AddNewPointDatum  
Creates a new datum of point within the current body.  
AddNewLineDatum  
Creates a new datum of line within the current body.  
AddNewPlaneDatum  
Creates a new datum of plane within the current body.  
AddNewCurveDatum  
Creates a new datum of curve within the current body.  
AddNewCircleDatum  
Creates a new datum of circle within the current body.  
AddNewSurfaceDatum  
Creates a new datum of surface within the current body.  
DeleteObjectForDatum  
Role: to delete an object within the current body.  
AddNewFill  
Creates a new Fill within the current body.  
AddNewFillEdgeWithSurface  
Creates a new FillEdgeWithSurface within the current body.  
AddNewFillEdge  
Creates a new FillEdge within the current body.  
AddNewFillEdges  
Creates a new FillEdges within the current body.  
AddNewEmptyFillEdges  
Creates a new EmptyFillEdges within the current body.  
AddNewSpline  
Creates a new Spline within the current body.  
AddNewSpiral  
Creates a new Spiral within the current body.  
AddNewBoundary  
Creates a new Boundary within the current body.  
AddNewBoundaryOfSurface  
Creates a Boundary within the current body.  
AddNewPointCoord  
Creates a new point defined by its cartesian coordinates within the current body.  
AddNewPointCoordWithReference  
Creates a new point defined its the cartesian coordinates regarding a reference point.  
AddNewPointBetween  
Creates a new PointBetween within the current body.  
AddNewPointOnCurveWithReferenceFromDistance  
Creates a new point on a curve with a reference point and from a distance within the current body.  
AddNewPointOnCurveFromDistance  
Creates a new point on a curve from a distance to an extremity within the current body.  
AddNewPointOnCurveWithReferenceFromPercent  
Creates a new point on a curve with a reference point and from a ratio of distance within the current body.  
AddNewPointOnCurveFromPercent  
Creates a new point on a curve from a ratio of distance to an extremity within the current body.  
AddNewPointOnPlaneWithReference  
Creates a new point on a plane with a reference point within the current body.  
AddNewPointOnPlane  
Creates a new point on a plane within the current body.  
AddNewPointOnSurfaceWithReference  
Creates a new point on a surface with a reference point within the current body.  
AddNewPointOnSurface  
Creates a new point on a surface within the current body.  
AddNewPointCenter  
Creates a new circle center point within the current body.  
AddNewPointTangent  
Creates a new tangent to curve point within the current body.  
AddNewLinePtPt  
Creates a new point-point line within the current body.  
AddNewLinePtPtOnSupport  
Creates a new point-point line with support within the current body.  
AddNewLinePtPtExtended  
Creates a new point-point line with extensions within the current body.  
AddNewLinePtPtOnSupportExtended  
Creates a new point-point line with extensions and with support within the current body.  
AddNewLinePtDir  
Creates a new point-direction line within the current body.  
AddNewLinePtDirOnSupport  
Creates a new point-direction line within the current body.  
AddNewLineAngle  
Creates a new angle line within the current body.  
AddNewLineTangency  
Creates a new tangent line within the current body.  
AddNewLineBiTangent  
Creates a new bitangent line within the current body.  
AddNewLineTangencyOnSupport  
Creates a new tangent line within the current body.  
AddNewLineNormal  
Creates a new normal line within the current body.  
AddNewLineBisecting  
Creates a new bisecting line within the current body.  
AddNewLineBisectingOnSupport  
Creates a new bisecting line on a support within the current body.  
AddNewLineBisectingWithPoint  
Creates a new bisecting line with a starting point within the current body.  
AddNewLineBisectingOnSupportWithPoint  
Creates a new bisecting line on a support with a atarting point within the current body.  
AddNewPlaneEquation  
Creates a new equation plane within the current body.  
AddNewPlane3Points  
Creates a new plane passing through 3 points within the current body.  
AddNewPlane2Lines  
Creates a new plane passing through 2 lines within the current body.  
AddNewPlane1Line1Pt  
Creates a new plane passing through 1 line and 1 point within the current body.  
AddNewPlane1Curve  
Creates a new plane passing through one planar curve within the current body.  
AddNewPlaneTangent  
Creates a new tangent plane within the current body.  
AddNewPlaneNormal  
Creates a new normal plane within the current body.  
AddNewPlaneOffset  
Creates a new offset plane within the current body.  
AddNewPlaneOffsetPt  
Creates a new offset trough point plane within the current body.  
AddNewPlaneAngle  
Creates a new angle plane within the current body.  
AddNewPlaneMean  
Creates a new mean through points plane within the current body.  
AddNewExtrude  
Creates a new extrude within the current body.  
AddNewCylinder  
Creates a new Cylinder within the current body.  
AddNewRevol  
Creates a new revolution within the current body.  
AddNewDirection  
Creates a new direction specified by an element within the current body.  
AddNewDirectionByCoord  
Creates a new Direction specifed by coordinates within the current body.  
AddNewOffset  
Creates a new offset within the current body.  
AddNewHybridScaling  
Creates a new scaling within the current body.  
AddNewHealing  
Creates a new healing within the current body.  
AddNewReflectLine  
Creates a new ReflectLine within the current body.  
AddNewReflectLineWithType  
Creates a new ReflectLine within the current body.  
AddNewSphere  
Creates a new Sphere within the current body.  
AddNewBump  
Creates a new Bump within the current body.  
AddNewWrapCurve  
Creates a new Wrap Curve Surface within the current body.  
AddNewWrapSurface  
Creates a new Wrap Surface within the current body.  
AddNewThickness  
Creates a new thickness within the current body.  
AddNewPolyline  
Creates a new Polyline within the current body.  
AddNewSweepConic  
Creates a new SweepConic within the current body.  
AddNewCircleCenterTangent  
Creates a new circle with given center element and tangent curve.  
AddNewVariableOffset  
AddNew3DCurveOffset  
Creates a 3D Curve Offset.  
Methods
  
o Func AddNewSpine( ) As HybridShapeSpine   
  
Creates a new spine within the current body.  
Parameters:  
oExt  
CATIAHybridShapeSpine created  
o Func AddNewAxisLine( Reference  iElement) As HybridShapeAxisLine   
  
Creates a new AxisLine within the current body.  
Parameters:  
iElement  
Circle, Ellipse, Oblong, Sphere, Revolution surface. Axis is computed for this element  
oAxisLine  
Created axis line  
o Func AddNewLawDistProj( Reference  iReference,  
  Reference  iDefinition) As HybridShapeLawDistProj   
  
Creates a new law within the current body.  
Parameters:  
iReference  
Reference line of the law.  
Sub-element(s) supported (see Boundary object): see CATIARectlinearTriDimFeatEdge and RectilinearBiDimFeatEdge.  
iDefinition  
Definition curve of the law.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
oLaw  
The Law object if succeded  
o Func AddNewBlend( ) As HybridShapeBlend   
  
Creates a new blend surface within the current body.  
Parameters:  
oBlend  
The Blend object if succeded  
o Func AddNewConic( Reference  iSupport,  
  Reference  iStartingPoint,  
  Reference  iEndPoint) As HybridShapeConic   
  
Creates a new conic within the current body.  
Parameters:  
iSupport  
The conic support (always a plane).  
Sub-element(s) supported (see Boundary object): see PlanarFace.  
iStartingPoint  
Starting Point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iEndPoint  
End Point
  
Sub-element(s) supported (see Boundary object): see Vertex.  
oConic  
The Conic object if succeded  
o Func AddNewHelix( Reference  iAxis,  
  boolean  iInvertAxis,  
  Reference  iStartingPoint,  
  double  iPitch,  
  double  iHeight,  
  boolean  iClockwiseRevolution,  
  double  iStartingAngle,  
  double  iTaperAngle,  
  boolean  iTaperOutward) As HybridShapeHelix   
  
Creates a new Helix within the current body.  
Parameters:  
iAxis  
The helix axis (always a line).  
Sub-element(s) supported (see Boundary object): see CATIARectlinearTriDimFeatEdge and RectilinearBiDimFeatEdge.  
iInvertAxis  
iStartingPoint  
Starting Point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iPitch  
Pitch.  
iHeight  
Helix height.  
iClockwiseRevolution  
Revolutions are clockwise if TRUE, counterclockwise if FALSE.  
iStartingAngle  
Starting angle from starting point measured on the helix itself. If no starting angle is wanted, set it to 0.0.  
iTaperAngle  
0 <= Taper Angle < Pi/2 If no taper angle is wanted, set it to 0.0 (constant helix radius).  
iTaperOutward  
Helix radius increases if TRUE, decreases if FALSE.  
oHelix  
The Helix object if succeded  
o Func AddNewCombine( Reference  iFirstCurve,  
  Reference  iSecondCurve,  
  long  iNearestSolutions) As HybridShapeCombine   
  
Creates a new Combine within the current body. By default, the combine direction is the normal of each curve. If you want to change see CATIAHybridShapeCombine interfaces.  
Parameters:  
iFirstCurve  
First curve to combine
  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iSecondCurve  
Second curve to combine
  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iNearestSolution  
If more than one solution, to choose the nearest solution of the first curve  
oCombine  
The combine object if succeded  
o Func AddNewExtremum( Reference  iObjet,  
  HybridShapeDirection  iDir,  
  long  iMinMax) As HybridShapeExtremum   
  
Creates a new Extremum within the current body.  
Parameters:  
iObjet  
Element onto extremum is computed
  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge, BiDimFeatEdge and Face.  
iDir  
Extremum direction  
iMinMax  
Maximum (GSMMax) or Minimum (GSMMin)  
oExt  
The extremum object if succeded  
o Func AddNewExtremumPolar( short  iType,  
  Reference  ipIAContour) As HybridShapeExtremumPolar   
  
Creates a new Extremum Polar within the current body.  
Parameters:  
iType  
Type of extremum polar 0-Min Radius 1-Max Radius 2- Min Angle 3- Maximum Angle  
ipIAContour  
Extremum Polar Contour. It should be non convex  
opIAExtPolar  
The extremum polar object if succeded  
o Func AddNewCircle2PointsRad( Reference  iPoint1,  
  Reference  iPoint2,  
  Reference  iSupport,  
  boolean  iGeodesic,  
  double  iRadius,  
  long  iOri) As HybridShapeCircle2PointsRad   
  
Creates a new Circle passing through 2 points with a radius within the current body.  
Parameters:  
iPoint1  
first passing point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iPoint2  
second passing point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iSupport  
support surface.  
Sub-element(s) supported (see Boundary object): see Face.  
iGeodesic  
Puts the circle on the surface.  
iRadius  
radius  
iOri  
circle orientation. Defines the side where circle is computed using the normal direction of line between the 2 passing points.  
oCircle  
The Circle object if succeded  
o Func AddNewFillet( Reference  iElement1,  
  Reference  iElement2,  
  double  iRadius,  
  long  iOrientation1,  
  long  iOrientation2,  
  long  iSupportsTrimMode,  
  long  iRibbonRelimitationMode) As HybridShapeFillet   
  
Deprecated:  
V5R11 Use AddNewFilletBiTangent Creates a new a sphere bitangent fillet between two skins.  
Parameters:  
iElement1  
First support of fillet.  
Sub-element(s) supported (see Boundary object): see Face.  
iElement2  
Second support of fillet.  
Sub-element(s) supported (see Boundary object): see Face.  
iRadius  
Radius of the fillet.  
iOrientation1  
Manage the fillet center position.  
iOrientation2  
Manage the fillet center position.  
iSupportsTrimMode  
The 2 supports can be trimmed and assembled with the fillet. Value can be 0 (No trim ) or 1 (Trim)  
iRibbonRelimitationMode  
Manage the relimition of fillet extremities. Value can be : 0 (Smooth), 1 (Straight), 2 (Maximum) or 3 (Minimum)  
oFillet  
Created fillet.  
o Func AddNewFilletBiTangent( Reference  iElement1,  
  Reference  iElement2,  
  double  iRadius,  
  long  iOrientation1,  
  long  iOrientation2,  
  long  iSupportsTrimMode,  
  long  iRibbonRelimitationMode) As HybridShapeFilletBiTangent   
  
Creates a new a sphere bitangent fillet between two skins.  
Parameters:  
iElement1  
First support of fillet.  
Sub-element(s) supported (see Boundary object): see Face.  
iElement2  
Second support of fillet.  
Sub-element(s) supported (see Boundary object): see Face.  
iRadius  
Radius of the fillet.  
iOrientation1  
Manage the fillet center position.  
iOrientation2  
Manage the fillet center position.  
iSupportsTrimMode  
The 2 supports can be trimmed and assembled with the fillet. Value can be 0 (No trim ) or 1 (Trim)  
iRibbonRelimitationMode  
Manage the relimition of fillet extremities. Value can be : 0 (Smooth), 1 (Straight), 2 (Maximum) or 3 (Minimum)  
oFillet  
Created fillet.  
o Func AddNewFilletTriTangent( Reference  iElement1,  
  Reference  iElement2,  
  Reference  iRemoveElem,  
  long  iOrientation1,  
  long  iOrientation2,  
  long  iRemoveOrientation,  
  long  iSupportsTrimMode,  
  long  iRibbonRelimitationMode) As HybridShapeFilletTriTangent   
  
Creates a new a tritangent fillet between three skins.  
Parameters:  
iElement1  
First support of fillet.  
Sub-element(s) supported (see Boundary object): see Face.  
iElement2  
Second support of fillet.  
Sub-element(s) supported (see Boundary object): see Face.  
iRemoveElem  
Support to remove of fillet.  
Sub-element(s) supported (see Boundary object): see Face.  
iOrientation1  
Manage the fillet center position.  
iOrientation2  
Manage the fillet center position.  
iRemoveOrientation  
Manage the fillet center position.  
iSupportsTrimMode  
The 2 supports can be trimmed and assembled with the fillet. Value can be 0 (No trim ) or 1 (Trim)  
iRibbonRelimitationMode  
Manage the relimition of fillet extremities. Value can be : 0 (Smooth), 1 (Straight), 2 (Maximum) or 3 (Minimum)  
oFillet  
Created fillet.  
o Func AddNewCircle3Points( Reference  iPoint1,  
  Reference  iPoint2,  
  Reference  iPoint3) As HybridShapeCircle3Points   
  
Creates a new circle passing through 3 points within the current body.  
Parameters:  
iPoint1  
first passing point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iPoint2  
second passing point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iPoint3  
third passing point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
oCircle  
Created circle  
o Func AddNewCircleBitangentPoint( Reference  iCurve1,  
  Reference  iCurve2,  
  Reference  iPoint,  
  Reference  iSupport,  
  long  iOri1,  
  long  iOri2) As HybridShapeCircleBitangentPoint   
  
Creates a new circle tangent to 2 curves and passing through one point within the current body.  
Parameters:  
iCurve1  
first curve to which the circle will be tangent.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iCurve2  
second curve to which the circle will be tangent.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iPoint  
passing point. This point must lie on second curve.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iSupport  
support surface.  
Sub-element(s) supported (see Boundary object): see Face.  
iOri1  
first curve orientation for circle computation.  
iOri2  
second curve orientation for circle computation.  
oCircle  
Created circle  
o Func AddNewCircleBitangentRadius( Reference  iCurve1,  
  Reference  iCurve2,  
  Reference  iSupport,  
  double  iRadius,  
  long  iOri1,  
  long  iOri2) As HybridShapeCircleBitangentRadius   
  
Creates a new circle tangent to 2 curves and with a radius within the current body.  
Parameters:  
iCurve1  
first curve to which the circle will be tangent.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iCurve2  
second curve to which the circle will be tangent.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iSupport  
support surface.  
Sub-element(s) supported (see Boundary object): see Face.  
iRadius  
circle radius  
iOri1  
first curve orientation for circle computation.  
iOri2  
second curve orientation for circle computation.  
oCircle  
Created circle  
o Func AddNewCircleCtrPtWithAngles( Reference  iCenter,  
  Reference  iCrossingPoint,  
  Reference  iSupport,  
  boolean  iGeodesic,  
  double  iStartAngle,  
  double  iEndAngle) As HybridShapeCircleCtrPt   
  
Creates a new circle defined by its center, a passing point and angles within the current body.  
Parameters:  
iCenter  
circle center.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iCrossingPoint  
passing point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iSupport  
support surface.  
Sub-element(s) supported (see Boundary object): see Face.  
iGeodesic  
Puts the circle on the surface.  
iStartAngle  
start angle  
iEndAngle  
end angle  
oCircle  
Created circle  
o Func AddNewCircleCtrPt( Reference  iCenter,  
  Reference  iCrossingPoint,  
  Reference  iSupport,  
  boolean  iGeodesic) As HybridShapeCircleCtrPt   
  
Creates a new whole circle defined by its center, a passing point within the current body.  
Parameters:  
iCenter  
circle center.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iCrossingPoint  
passing point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iSupport  
support surface.  
Sub-element(s) supported (see Boundary object): see Face.  
iGeodesic  
Puts the circle on the surface.  
oCircle  
CreatedCircle  
o Func AddNewCircleCtrRadWithAngles( Reference  iCenter,  
  Reference  iSupport,  
  boolean  iGeodesic,  
  double  iRadius,  
  double  iStartAngle,  
  double  iEndAngle) As HybridShapeCircleCtrRad   
  
Creates a new circle defined by its center, a radius and angles within the current body.  
Parameters:  
iCenter  
circle center.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iSupport  
support surface.  
Sub-element(s) supported (see Boundary object): see Face.  
iGeodesic  
Puts the circle on the surface.  
iRadius  
circle radius  
iStartAngle  
start angle  
iEndAngle  
end angle  
oCircle  
Created circle  
o Func AddNewCircleCtrRad( Reference  iCenter,  
  Reference  iSupport,  
  boolean  iGeodesic,  
  double  iRadius) As HybridShapeCircleCtrRad   
  
Creates a new whole circle defined by its center and a radius within the current body.  
Parameters:  
iCenter  
circle center.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iSupport  
support surface.  
Sub-element(s) supported (see Boundary object): see Face.  
iGeodesic  
Puts the circle on the surface.  
iRadius  
radius  
oCircle  
Created circle  
o Func AddNewCircleTritangent( Reference  iCurve1,  
  Reference  iCurve2,  
  Reference  iCurve3,  
  Reference  iSupport,  
  long  iOri1,  
  long  iOri2,  
  long  iOri3) As HybridShapeCircleTritangent   
  
Creates a new tritangent circle within the current body.  
Parameters:  
iCurve1  
first curve to which the circle will be tangent.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iCurve2  
second curve to which the circle will be tangent.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iCurve3  
third curve to which the circle will be tangent.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iSupport  
support surface.  
Sub-element(s) supported (see Boundary object): see Face.  
iOri1  
first curve orientation for circle computation.  
iOri2  
second curve orientation for circle computation.  
iOri3  
third curve orientation for circle computation.  
oCircle  
Created circle  
o Func AddNewDevelop( long  iMode,  
  Reference  iToDevelop,  
  Reference  iSupport) As HybridShapeDevelop   
  
Creates a new Develop within the current body.  
Parameters:  
iMode  
Develop method.  
iToDevelop  
Wire to be developed.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iSupport  
Revolution support surface.  
Sub-element(s) supported (see Boundary object): see Face.  
oExt  
Created developed wire.  
o Func AddNewUnfold( ) As HybridShapeUnfold   
  
Creates a new Unfold within the current body.  
Parameters:  
oExt  
Created unfold operation.  
o Func AddNewSweepCircle( Reference  iGuide1) As HybridShapeSweepCircle   
  
Creates a new SweepCircle within the current body.  
Parameters:  
iGuide1  
First guide or center curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
oExt  
Created swept surface.  
o Func AddNewSweepExplicit( Reference  iProfile,  
  Reference  iGuide) As HybridShapeSweepExplicit   
  
Creates a new SweepExplicit within the current body.  
Parameters:  
iProfile  
Profile.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iGuide  
First guide curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
oExt  
Created swept surface.  
o Func AddNewSweepLine( Reference  iGuide1) As HybridShapeSweepLine   
  
Creates a new SweepLine within the current body.  
Parameters:  
iGuide1  
First guide curve.  
oExt  
Created swept surface.  
o Func AddNewPositionTransfo( long  iMode) As HybridShapePositionTransfo   
  
Creates a new PositionTransfo within the current body.  
Parameters:  
iMode  
Positioning mode.  
oExt  
Created positioning transformation (i.e. positioned wire / profile).  
o Func AddNewLoft( ) As HybridShapeLoft   
  
Creates a new Loft within the current body.  
Parameters:  
oExt  
CATIAHybridShapeLoft created  
o Func AddNewJoin( Reference  Element1,  
  Reference  Element2) As HybridShapeAssemble   
  
Creates a new Join within the current body.  
Parameters:  
iElement1  
First element to join ( curve or surface.  
Sub-element(s) supported (see Boundary object): see Face, TriDimFeatEdge and BiDimFeatEdge.  
iElement2  
Second element to join ( same type of the first element)
  
Sub-element(s) supported (see Boundary object): see Face, TriDimFeatEdge and BiDimFeatEdge.  
oExt  
Join result The default value used to join element is 0.001mm  
o Func AddNewExtract( Reference  Element) As HybridShapeExtract   
  
Creates a new Extract within the current body.  
Parameters:  
iElement  
Initial element used to start the extraction
  
Sub-element(s) supported (see Boundary object): see Boundary.  
oExt  
The extracted object  
o Func AddNewInverse( Reference  Element,  
  long  Inverse) As HybridShapeInverse   
  
Creates a new Inverse within the current body.  
Parameters:  
iElement  
The objet to inverse  
iInverse  
the type of inversion (see CATGSMOrientation.h) 1 for no inversion -1 for inversion  
oInv  
The inverted object  
o Func AddNewNear( Reference  MultiElement,  
  Reference  ReferenceElement) As HybridShapeNear   
  
Creates a new Near within the current body.  
Parameters:  
iMultiElement  
Non connex element (point,curve,surface.  
Sub-element(s) supported (see Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.  
iReferenceElement  
Reference element
  
Sub-element(s) supported (see Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.  
oNear  
The result is the connex component that is the nearest from the reference element  
o Func AddNewConnect( Reference  iCurve1,  
  Reference  iPoint1,  
  long  iOrient1,  
  long  iContinuity1,  
  double  iTension1,  
  Reference  iCurve2,  
  Reference  iPoint2,  
  long  iOrient2,  
  long  iContinuity2,  
  double  iTension2,  
  boolean  Trim) As HybridShapeConnect   
  
Creates a new Connect within the current body.  
Parameters:  
iCurve1  
First curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iPoint1  
First point (lying on the first curve)
  
Sub-element(s) supported (see Boundary object): see Vertex.  
iOrient1  
Orientation on the first curve  
iContinuity1  
Continuity on first curve  
iTension1  
Tension on first curve  
iCurve2  
Second curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iPoint2  
Second point (lying on the second curve)
  
Sub-element(s) supported (see Boundary object): see Vertex.  
iOrient2  
Orientation on the second curve  
iContinuity2  
Continuity on second curve  
iTension2  
Tension on second curve  
iTrim  
Trim the two curves with the connect  
oConnect  
The connect object  
o Func AddNewCurvePar( Reference  Curve,  
  Reference  Support,  
  double  Distance,  
  boolean  InvertDirection,  
  boolean  Geodesic) As HybridShapeCurvePar   
  
Creates a new CurvePar within the current body.  
Parameters:  
iCurve  
Reference curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iSupport  
Support on which the curve is lying on
  
Sub-element(s) supported (see Boundary object): see Face.  
iDistance  
Distance value  
iInvertDirection  
Orientation  
iGeodesic  
Geodesic mode  
oCurvePar  
Parallel curve  
o Func AddNewCurveSmooth( Reference  ipIACurve) As HybridShapeCurveSmooth   
  
Creates a new CurveSmooth within the current body.  
Parameters:  
iCurve  
Reference curve to be smoothened  
oCurveSmooth  
Smoothened curve  
o Func AddNewTranslate( Reference  iElement,  
  HybridShapeDirection  iDirection,  
  double  iDistance) As HybridShapeTranslate   
  
Creates a new Translate within the current body.  
Parameters:  
iElement  
Point, curve, surface or solid to translate.  
iDirection  
Translation direction.  
iDistance  
Translation Distance.  
oTranslate  
Created translation  
oTranslate  
Created Translate (Empty feature)  
Note: Then translate mode and inputs has to be initialized  
See also:  
HybridShapeTranslate  
o Func AddNewEmptyTranslate( ) As HybridShapeTranslate   
  
Creates a new empty Translate within the current body.  
o Func AddNewAffinity( Reference  iElement,  
  double  iXRatio,  
  double  iYRatio,  
  double  iZRatio) As HybridShapeAffinity   
  
Creates a new Affinity within the current body.  
Parameters:  
iElement  
point, curve, surface or solid.  
Sub-element(s) supported (see Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.  
iXRatio  
Ratio of affinity in iX direction.  
iYRatio  
Ratio of affinity in iY direction.  
iZRatio  
Ratio of affinity in iZ direction.  
oAffinity  
Created affinity  
o Func AddNewHybridSplit( Reference  iElement1,  
  Reference  iElement2,  
  long  iOrientation) As HybridShapeSplit   
  
Creates a new Split within the current body.  
Parameters:  
iElement1  
The feature to cut (curve or surface).  
Sub-element(s) supported (see Boundary object): see Face, TriDimFeatEdge and BiDimFeatEdge.  
iElement2  
The cutting feature (point, curve, surface).  
Sub-element(s) supported (see Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.  
iOrientation  
Manage the kept side of the feature to cut (value can be 1 or -1)  
oSplit  
Created split  
o Func AddNewHybridTrim( Reference  iElement1,  
  long  iOrientation1,  
  Reference  iElement2,  
  long  iOrientation2) As HybridShapeTrim   
  
Creates a new Trim within the current body by cutting and joining two elements.  
You can trim a surface by a surface or a curve by a curve.  
Parameters:  
iElement1  
The feature to trim (curve or surface).  
iOrientation1  
Manage the kept side of iElement1 (value can be 1 or -1).  
iElement2  
The second feature to trim (curve or surface).  
iOrientation2  
Manage the kept side of iElement2 (value can be 1 or -1).  
oTrim  
Created trim.  
o Func AddNewProject( Reference  iElement,  
  Reference  iSupport) As HybridShapeProject   
  
Creates a new Project within the current body.  
Parameters:  
iElement  
Element to project (point, curve).  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge, BiDimFeatEdge and Vertex.  
iSupport  
Curve or surface support for projection.  
Sub-element(s) supported (see Boundary object): see Face, TriDimFeatEdge and BiDimFeatEdge.  
oProjection  
Created projection  
o Func AddNewCorner( Reference  iElement1,  
  Reference  iElement2,  
  Reference  iSupport,  
  double  iRadius,  
  long  iOrientation1,  
  long  iOrientation2,  
  boolean  iTrim) As HybridShapeCorner   
  
Creates a new Corner within the current body.  
Create a corner curve between a point and a curve or 2 curves on a support surface.  
Parameters:  
iElement1  
First reference curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge, BiDimFeatEdge and Vertex.  
iElement2  
Second reference curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge, BiDimFeatEdge and Vertex.  
iSupport  
Support surface.  
Sub-element(s) supported (see Boundary object): see Face.  
iRadius  
Radius of the corner.  
iOrientation1  
Manage the corner center position. Value can be 1 or -1  
iOrientation2  
Manage the corner center position. Value can be 1 or -1  
iTrim  
Value can be FALSE or TRUE
if TRUE the 2 curves are trimed and asembled with the corner.  
oCorner  
Created corner.  
o Func AddNew3DCorner( Reference  iElement1,  
  Reference  iElement2,  
  HybridShapeDirection  iDirection,  
  double  iRadius,  
  long  iOrientation1,  
  long  iOrientation2,  
  boolean  iTrim) As HybridShapeCorner   
  
Creates a new 3D Corner within the current body.  
Create a 3D corner curve between a point and a curve or 2 curves along a direction.  
Parameters:  
iElement1  
First reference curve.  
iElement2  
Second reference curve.  
iDirection  
Direction.  
iRadius  
Radius of the corner.  
iOrientation1  
Manage the corner center position. Value can be 1 or -1  
iOrientation2  
Manage the corner center position. Value can be 1 or -1  
iTrim  
Value can be FALSE or TRUE
if TRUE the 2 curves are trimed and asembled with the corner.  
oCorner  
Created corner.  
o Func AddNewExtrapolUntil( Reference  iBoundary,  
  Reference  iToExtrapol,  
  Reference  iUntil) As HybridShapeExtrapol   
  
Creates a new Extrapol (until an element) within the current body.  
Parameters:  
iBoundary  
Boundary point of curve to extrapolate or boundary curve of surface to extrapolate.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iToExtrapol  
Curve or surface to extrapolate.  
Sub-element(s) supported (see Boundary object): see Face, TriDimFeatEdge and BiDimFeatEdge.  
iUntil  
Extrapolation limit surface.  
oExtrapol  
Created Extrapolation.  
o Func AddNewExtrapolLength( Reference  iBoundary,  
  Reference  iToExtrapol,  
  double  iLength) As HybridShapeExtrapol   
  
Creates a new Extrapol (specified by length) within the current body.  
Parameters:  
iBoundary  
Boundary point of curve to extrapolate or boundary curve of surface to extrapolate.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iToExtrapol  
Curve or surface to extrapolate.  
Sub-element(s) supported (see Boundary object): see Face, TriDimFeatEdge and BiDimFeatEdge.  
iLength  
Extrapolation length.  
oExtrapol  
Created Extrapolation.  
o Func AddNewRotate( Reference  iToRotate,  
  Reference  iAxis,  
  double  iAngle) As HybridShapeRotate   
  
Creates a new Rotate within the current body.  
Parameters:  
iToRotate  
point, curve, surface or solid to transform.  
Sub-element(s) supported (see Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.  
iAxis  
Rotation axis.  
Sub-element(s) supported (see Boundary object): see Edge.  
iAngle  
Rotation angle.  
oRotate  
Created rotation.  
o Func AddNewIntersection( Reference  iObject1,  
  Reference  iObject2) As HybridShapeIntersection   
  
Creates a new Intersection within the current body.  
Parameters:  
iObject1  
First element ( line, curve, plane, surface.  
Sub-element(s) supported (see Boundary object): see Face, CATIARectlinearTriDimFeatEdge and RectilinearBiDimFeatEdge.  
iObject2  
Second element ( line , curve, plane, surface.  
Sub-element(s) supported (see Boundary object): see Face, CATIARectlinearTriDimFeatEdge and RectilinearBiDimFeatEdge.  
oIntersection  
Intersection  
o Func AddNewSymmetry( Reference  iObject,  
  Reference  iReference) As HybridShapeSymmetry   
  
Creates a new Symmetry within the current body.  
Parameters:  
iObject  
Point, curve, surface or solid to transform.  
Sub-element(s) supported (see Boundary object): see Face, TriDimFeatEdge, BiDimFeatEdge and Vertex.  
iReference  
Point, line or reference plane.  
Sub-element(s) supported (see Boundary object): see PlanarFace, Edge and Vertex.  
oSymmetry  
Created symmetry.  
o Func AddNewAxisToAxis( Reference  iObject,  
  Reference  iReferenceAxis,  
  Reference  iTargetAxis) As HybridShapeAxisToAxis   
  
Creates a new axis to axis transformation within the current body.  
Parameters:  
iObject  
Point, curve, surface or solid to transform.  
iReferenceAxis  
reference axis system  
iTargetAxis  
target axis system  
oAxisToAxis  
Created axis to axis transformation.  
o Func AddNewPointDatum( Reference  iObject) As HybridShapePointExplicit   
  
Creates a new datum of point within the current body.  
Parameters:  
iObject  
The object whose topological body will be duplicated and put into created datum  
oPoint  
Created datum  
o Func AddNewLineDatum( Reference  iObject) As HybridShapeLineExplicit   
  
Creates a new datum of line within the current body.  
Parameters:  
iObject  
The object whose topological body will be duplicated and put into created datum  
oLine  
Created datum  
o Func AddNewPlaneDatum( Reference  iObject) As HybridShapePlaneExplicit   
  
Creates a new datum of plane within the current body.  
Parameters:  
iObject  
The object whose topological body will be duplicated and put into created datum  
oPlane  
Created datum  
o Func AddNewCurveDatum( Reference  iObject) As HybridShapeCurveExplicit   
  
Creates a new datum of curve within the current body.  
Parameters:  
iObject  
The object whose topological body will be duplicated and put into created datum  
oCurve  
Created curve  
o Func AddNewCircleDatum( Reference  iObject) As HybridShapeCircleExplicit   
  
Creates a new datum of circle within the current body.  
Parameters:  
iObject  
The object whose topological body will be duplicated and put into created datum  
oCircle  
Created datum  
o Func AddNewSurfaceDatum( Reference  iObject) As HybridShapeSurfaceExplicit   
  
Creates a new datum of surface within the current body.  
Parameters:  
iObject  
The object whose topological body will be duplicated and put into created datum  
oSurface  
Created surface  
o Sub DeleteObjectForDatum( Reference  iObject)  
  
Role: to delete an object within the current body.  
Parameters:  
iObject  
Object to delete  
o Func AddNewFill( ) As HybridShapeFill   
  
Creates a new Fill within the current body.  
Parameters:  
oFill  
Fill object  
o Func AddNewFillEdgeWithSurface( Reference  iCurve,  
  Reference  iSurface,  
  long  iContinuity,  
  double  iTension) As HybridShapeFillEdge   
  
Creates a new FillEdgeWithSurface within the current body.  
Parameters:  
iCurve  
Curve boundary
  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iSurface  
Curve boundary surface support
  
Sub-element(s) supported (see Boundary object): see Face.  
iContinuity  
Continuity with surface support  
iTension  
Tension with Fill curve boundary  
oFillEdge  
Fill surface  
o Func AddNewFillEdge( Reference  iCurve,  
  long  iContinuity,  
  double  iTension) As HybridShapeFillEdge   
  
Creates a new FillEdge within the current body.  
Parameters:  
iCurve  
Curve boundary
  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iContinuity  
Continuity with surface support  
iTension  
Tension with Fill curve boundary  
oFillEdge  
Fill curve boundary  
o Func AddNewFillEdges( HybridShapeFillEdge  iFillEdge) As HybridShapeFillEdges   
  
Creates a new FillEdges within the current body.  
Parameters:  
iFillEdge  
Fill Curve boundary  
oFillEdges  
List of Fill curve boundaries  
o Func AddNewEmptyFillEdges( ) As HybridShapeFillEdges   
  
Creates a new EmptyFillEdges within the current body.  
Parameters:  
oFillEdges  
List of Fill curve boundaries  
o Func AddNewSpline( ) As HybridShapeSpline   
  
Creates a new Spline within the current body.  
Parameters:  
oSpline  
Created spline.  
o Func AddNewSpiral( long  iType,  
  Reference  iSupport,  
  Reference  iCenterPoint,  
  HybridShapeDirection  iAxis,  
  double  iStartingRadius,  
  boolean  iClockwiseRevolution) As HybridShapeSpiral   
  
Creates a new Spiral within the current body.  
Parameters:  
iType  
Spiral is defined by AngleRadius, AnglePitch or PitchRadius.  
iSupport  
Spiral planar support.  
iCenterPoint  
Center point.  
iAxis  
Axis.  
iStartingRadius  
Defines the starting point: distance from the center point on the axis.  
iClockwiseRevolution  
Revolutions are clockwise if TRUE, counterclockwise if FALSE.  
oSpiral  
The Spiral object if succeded  
o Func AddNewBoundary( Reference  iInitialElement,  
  Reference  iSupport,  
  long  iTypedePropagation) As HybridShapeBoundary   
  
Creates a new Boundary within the current body.  
Parameters:  
iInitialElement  
the element used to initialise the propagation around the surface  
  
Sub-element(s) supported (see Boundary object): see BiDimFeatEdge.  
iSupport  
the surface used to compute the boundary around it
  
Sub-element(s) supported (see Boundary object): see Face.  
iTypedePropagation  
Propagation type the values are: 0 for Boundary for all edges 1 for Boundary propagation for edges on connexe point 2 for Boundary propagation for edges tangent at point breaks 3 for Boundary not propagation from the current edge  
oBoundary  
The computed element  
o Func AddNewBoundaryOfSurface( Reference  Surface) As HybridShapeBoundary   
  
Creates a Boundary within the current body.  
Parameters:  
iSurface  
the feature on which all the boundaries will be computed  
oBoundary  
the whole boundary of the Surface given in first parameter  
o Func AddNewPointCoord( double  iX,  
  double  iY,  
  double  iZ) As HybridShapePointCoord   
  
Creates a new point defined by its cartesian coordinates within the current body.  
Parameters:  
iX  
X coordinate for the point  
iY  
Y coordinate for the point  
iZ  
Z coordinate for the point  
oPoint  
Created point  
o Func AddNewPointCoordWithReference( double  iX,  
  double  iY,  
  double  iZ,  
  Reference  iPt) As HybridShapePointCoord   
  
Creates a new point defined its the cartesian coordinates regarding a reference point.  
Parameters:  
iX  
X coordinate for the point  
iY  
Y coordinate for the point  
iZ  
Z coordinate for the point  
iPt  
Reference point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
oPoint  
Created point  
o Func AddNewPointBetween( Reference  iPoint1,  
  Reference  iPoint2,  
  double  iRatio,  
  long  iOrientation) As HybridShapePointBetween   
  
Creates a new PointBetween within the current body.  
Parameters:  
iPoint1  
Reference point to compute the barycenter.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iPoint2  
Second point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iRatio  
barycenter parameter  
iOrientation  
To compute the barycenter of the segment [Pt1 - Pt2]  
oPoint  
PointBetween if succeded  
o Func AddNewPointOnCurveWithReferenceFromDistance( Reference  iCrv,  
  Reference  iPt,  
  double  iLong,  
  boolean  iOrientation) As HybridShapePointOnCurve   
  
Creates a new point on a curve with a reference point and from a distance within the current body.  
Parameters:  
iCrv  
support curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iPt  
reference point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iLong  
distance (length) to reference point  
iOrientation  
Orientation = TRUE means that distance is measured in the other orientation of the curve  
oPoint  
Created point  
o Func AddNewPointOnCurveFromDistance( Reference  iCrv,  
  double  iLong,  
  boolean  iOrientation) As HybridShapePointOnCurve   
  
Creates a new point on a curve from a distance to an extremity within the current body.  
Parameters:  
iCrv  
support curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iLong  
distance to extremity  
iOrientation  
Orientation = TRUE means that distance is measured in the other orientation of the curve and from the other extremity.  
oPoint  
Created point  
o Func AddNewPointOnCurveWithReferenceFromPercent( Reference  iCrv,  
  Reference  iPt,  
  double  iLong,  
  boolean  iOrientation) As HybridShapePointOnCurve   
  
Creates a new point on a curve with a reference point and from a ratio of distance within the current body.  
Parameters:  
iCrv  
Support curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iPt  
reference point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iLong  
Ratio of curve length  
iOrientation  
Orientation = TRUE means that ratio is measured in the other orientation of the curve  
oPoint  
Created point  
o Func AddNewPointOnCurveFromPercent( Reference  iCrv,  
  double  iLong,  
  boolean  iOrientation) As HybridShapePointOnCurve   
  
Creates a new point on a curve from a ratio of distance to an extremity within the current body.  
Parameters:  
iCrv  
support curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iLong  
Ratio of curve length  
iOrientation  
Orientation = TRUE means that ratio is measured in the other orientation of the curve and from the other extremity.  
oPoint  
Created point  
o Func AddNewPointOnPlaneWithReference( Reference  iPlane,  
  Reference  iPt,  
  double  iX,  
  double  iY) As HybridShapePointOnPlane   
  
Creates a new point on a plane with a reference point within the current body.  
Parameters:  
iPlane  
Support plane
  
Sub-element(s) supported (see Boundary object): see PlanarFace.  
iPt  
Reference plane
  
Sub-element(s) supported (see Boundary object): see Vertex.  
iX  
X cartesian coordinates in the plane.  
iY  
Y cartesian coordinates in the plane.  
oPoint  
Created point  
o Func AddNewPointOnPlane( Reference  iPlane,  
  double  iX,  
  double  iY) As HybridShapePointOnPlane   
  
Creates a new point on a plane within the current body.  
Parameters:  
iPlane  
Support plane  
  
Sub-element(s) supported (see Boundary object): see PlanarFace.  
iX  
X cartesian coordinates in the plane.  
iY  
Y cartesian coordinates in the plane.  
oPoint  
Created point  
o Func AddNewPointOnSurfaceWithReference( Reference  iSurface,  
  Reference  iPt,  
  HybridShapeDirection  iDirection,  
  double  iX) As HybridShapePointOnSurface   
  
Creates a new point on a surface with a reference point within the current body.  
Parameters:  
iSurface  
Support surface.  
Sub-element(s) supported (see Boundary object): see Face.  
iPt  
reference point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iDirection  
Direction from the reference point in which the point is computed.  
iX  
geodesic length to reference point  
oPoint  
Created point  
o Func AddNewPointOnSurface( Reference  iSurface,  
  HybridShapeDirection  iDirection,  
  double  iX) As HybridShapePointOnSurface   
  
Creates a new point on a surface within the current body.  
Parameters:  
iSurface  
Support surface.  
Sub-element(s) supported (see Boundary object): see Face.  
iDirection  
Direction from the reference point in which the point is computed.  
iX  
geodesic length to reference point  
oPoint  
Created point  
o Func AddNewPointCenter( Reference  iCurve) As HybridShapePointCenter   
  
Creates a new circle center point within the current body.  
Parameters:  
iCurve  
Reference circle
  
Sub-element(s) supported (see Boundary object): see Edge.  
oPoint  
Created point  
o Func AddNewPointTangent( Reference  iCurve,  
  HybridShapeDirection  iDirection) As HybridShapePointTangent   
  
Creates a new tangent to curve point within the current body.  
Parameters:  
iCurve  
Reference curve.  
Sub-element(s) supported (see Boundary object): see Edge.  
iDirection  
Direction in which tangent points are computed  
oPoint  
Created point  
o Func AddNewLinePtPt( Reference  iPtOrigine,  
  Reference  iPtExtremite) As HybridShapeLinePtPt   
  
Creates a new point-point line within the current body.  
Parameters:  
iPtOrigine  
Origin point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iPtExtremite  
Extremity point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
oLine  
Created line  
o Func AddNewLinePtPtOnSupport( Reference  iPtOrigine,  
  Reference  iPtExtremite,  
  Reference  iSupport) As HybridShapeLinePtPt   
  
Creates a new point-point line with support within the current body.  
Parameters:  
iPtOrigine  
Origin point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iPtExtremite  
Extremity point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iSupport  
Support element (surface or plane)
  
Sub-element(s) supported (see Boundary object): see Face.  
oLine  
Created line  
o Func AddNewLinePtPtExtended( Reference  iPtOrigine,  
  Reference  iPtExtremite,  
  double  iBeginOffset,  
  double  iEndOffset) As HybridShapeLinePtPt   
  
Creates a new point-point line with extensions within the current body.  
Parameters:  
iPtOrigine  
Origin point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iPtExtremite  
Extremity point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iBeginOffset  
start offset  
iEndOffset  
end offset  
oLine  
Created line  
o Func AddNewLinePtPtOnSupportExtended( Reference  iPtOrigine,  
  Reference  iPtExtremite,  
  Reference  iSupport,  
  double  iBeginOffset,  
  double  iEndOffset) As HybridShapeLinePtPt   
  
Creates a new point-point line with extensions and with support within the current body.  
Parameters:  
iPtOrigine  
Origin point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iPtExtremite  
Extremity point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iSupport  
Support element (surface or plane)
  
Sub-element(s) supported (see Boundary object): see Face.  
iBeginOffset  
start offset  
iEndOffset  
end offset  
oLine  
Created line  
o Func AddNewLinePtDir( Reference  iPt,  
  HybridShapeDirection  iDirection,  
  double  iBeginOffset,  
  double  iEndOffset,  
  boolean  iOrientation) As HybridShapeLinePtDir   
  
Creates a new point-direction line within the current body.  
Parameters:  
iPt  
reference point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iDirection  
Direction  
iBeginOffset  
start offset  
iEndOffset  
end offset  
iOrientation  
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.  
oLine  
Created line  
o Func AddNewLinePtDirOnSupport( Reference  iPt,  
  HybridShapeDirection  iDirection,  
  Reference  iSupport,  
  double  iBeginOffset,  
  double  iEndOffset,  
  boolean  iOrientation) As HybridShapeLinePtDir   
  
Creates a new point-direction line within the current body.  
Parameters:  
iPt  
reference point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iDirection  
Direction  
iSupport  
Support element (surface or plane)
  
Sub-element(s) supported (see Boundary object): see Face.  
iBeginOffset  
start offset  
iEndOffset  
end offset  
iOrientation  
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.  
oLine  
Created line  
o Func AddNewLineAngle( Reference  iCurve,  
  Reference  iSurface,  
  Reference  iPoint,  
  boolean  iGeodesic,  
  double  iBeginOffset,  
  double  iEndOffset,  
  double  iAngle,  
  boolean  iOrientation) As HybridShapeLineAngle   
  
Creates a new angle line within the current body.  
Parameters:  
iCurve  
Reference curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iSurface  
Reference surface.  
Sub-element(s) supported (see Boundary object): see Face.  
iPoint  
reference point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iGeodesic  
Puts the line on the surface  
iBeginOffset  
start offset  
iEndOffset  
end offset  
iAngle  
angle to reference curve  
iOrientation  
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.  
oLine  
Created line  
o Func AddNewLineTangency( Reference  iCurve,  
  Reference  iPoint,  
  double  iBeginOffset,  
  double  iEndOffset,  
  boolean  iOrientation) As HybridShapeLineTangency   
  
Creates a new tangent line within the current body.  
Parameters:  
iCurve  
Reference curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iPoint  
Reference point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iBeginOffset  
start offset  
iEndOffset  
end offset  
iOrientation  
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.  
oLine  
Created line  
o Func AddNewLineBiTangent( Reference  iCurve1,  
  Reference  iElement2,  
  Reference  iSupport) As HybridShapeLineBiTangent   
  
Creates a new bitangent line within the current body.  
Parameters:  
iCurve1  
First tangency curve lying on the support surface.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iCurve2  
Second tangency element (point, curve) lying on the support surface.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge, BiDimFeatEdge and Vertex.  
iSupport  
The support surface of the two elements.  
Sub-element(s) supported (see Boundary object): see Face.  
oLine  
Created line  
o Func AddNewLineTangencyOnSupport( Reference  iCurve,  
  Reference  iPoint,  
  Reference  iSupport,  
  double  iBeginOffset,  
  double  iEndOffset,  
  boolean  iOrientation) As HybridShapeLineTangency   
  
Creates a new tangent line within the current body.  
Parameters:  
iCurve  
Reference curve.  
Sub-element(s) supported (see Boundary object): see TriDimFeatEdge and BiDimFeatEdge.  
iPoint  
Reference point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iSupport  
Support element (surface or plane)
  
Sub-element(s) supported (see Boundary object): see Face.  
iBeginOffset  
start offset  
iEndOffset  
end offset  
iOrientation  
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.  
oLine  
Created line  
o Func AddNewLineNormal( Reference  iSurface,  
  Reference  iPoint,  
  double  iBeginOffset,  
  double  iEndOffset,  
  boolean  iOrientation) As HybridShapeLineNormal   
  
Creates a new normal line within the current body.  
Parameters:  
iSurface  
Reference surface.  
Sub-element(s) supported (see Boundary object): see Face.  
iPoint  
Reference point.  
Sub-element(s) supported (see Boundary object): see Vertex.  
iBeginOffset  
start offset  
iEndOffset  
end offset  
iOrientation  
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.  
oLine  
Created line  
o Func AddNewLineBisecting( Reference  iLine1,  
  Reference  iLine2,  
  double  iBeginOffset,  
  double  iEndOffset,  
  boolean  iOrientation,  
  long  SolutionNb) As HybridShapeLineBisecting   
  
Creates a new bisecting line within the current body.  
Parameters:  
iLine1  
First line.  
Sub-element(s) supported (see Boundary object): see CATIARectlinearTriDimFeatEdge and CATIARectlinearBiDimFeatEdge.  
iLine2  
Second line.  
Sub-element(s) supported (see Boundary object): see CATIARectlinearTriDimFeatEdge and CATIARectlinearBiDimFeatEdge.  
iBeginOffset  
start offset  
iEndOffset  
end offset  
iOrientation  
Orientation allows to reverse the line direction from the reference point. For a line of L length, it is the same as creating this line with -L length.  
oLine  
Created line  
o Func AddNewLineBisectingOnSupport( Reference  iLine1,  
  Reference  iLine2,  
  Reference  iSurface,  
  double  iBeginOffset,  
  double  iEndOffset,  
  boolean  iOrientation,  
  long  SolutionNb) As HybridShapeLineBisecting   
  
Creates a new bisecting line on a support within the current body.  
Parameters:  
iLine1  
First line.  
Sub-element(s) supported (see Boundary object): see CATIARectlinearTriDimFeatEdge and CATIARectlinearBiDimFeatEdge.  
iLine2  
Second line.  
Sub-element(s) supported (see Bound




欢迎光临 iCAx开思工具箱 (https://t.icax.org/) Powered by Discuz! X3.3